package com.gh.gamecenter.common.view.choosepic;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.common.databinding.SuggestPicItemBinding;

import java.util.List;

/**
 * Created by khy on 2017/3/31.
 */
public class ChoosePicViewHolder extends BaseRecyclerViewHolder<List<String>> {
    public SuggestPicItemBinding binding;

    public ChoosePicViewHolder(SuggestPicItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public ChoosePicViewHolder(SuggestPicItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.getRoot().setOnClickListener(this);
    }
}
